#!/bin/bash
shopt -s expand_aliases

MODELS="cryotherapy laser beam3d patch poiseuille"

usage()
{
echo "Description:"
echo "  Downloads and solves Elmer models form onelab.info"
echo "Syntax:"
echo "   getElmerModels.sh {|get|solve}"
echo "Options:"
echo "  -get    only downloads"
echo "  -solve  only solves"
echo "  -test   downloads and solves"
exit 1
}

if [ $# == 0 ]; then
  usage
fi

if [ "$(uname)" == "Darwin" ]; then
   alias wget='curl -O'
fi

if [ "$(uname)" == "Linux" ]; then
   alias wget='wget -N'
fi

cd 
mkdir -p ELMERMODELS
cd ELMERMODELS

rm -f report.txt

for i in $MODELS; do
  echo -e "$i"
  if [[ "$1" == "-get" || "$1" == "-test" ]]; then
      rm -rf "$i" 
      wget www.onelab.info/onelab_files/"$i".zip
      unzip -o "$i".zip
  fi
  if [[ "$1" == "-solve" || "$1" == "-test" ]]; then
    cd "$i"
    `cat commandLine` - 2>report.txt #1>/dev/null
    cat report.txt
    sleep 5
    cat report.txt >> ../report.txt
    cd ..
  fi
done 

